From 02c66a54f00ff2cb3b7dadc90e34f13b83f15f53 Mon Sep 17 00:00:00 2001
From: Frank Steinborn <steinex@nognu.de>
Date: Fri, 7 Jun 2019 22:17:48 +0200
Subject: [PATCH] intel-ucode: add initramfs triggers

---
 srcpkgs/intel-ucode/INSTALL  | 7 +++++++
 srcpkgs/intel-ucode/REMOVE   | 7 +++++++
 srcpkgs/intel-ucode/template | 2 +-
 3 files changed, 15 insertions(+), 1 deletion(-)
 create mode 100644 srcpkgs/intel-ucode/INSTALL
 create mode 100644 srcpkgs/intel-ucode/REMOVE

diff --git a/srcpkgs/intel-ucode/INSTALL b/srcpkgs/intel-ucode/INSTALL
new file mode 100644
index 00000000000..6b065bedb4a
--- /dev/null
+++ b/srcpkgs/intel-ucode/INSTALL
@@ -0,0 +1,7 @@
+# Regenerate initramfs.
+case ${ACTION} in
+post)
+	echo "Regenerating initramfs, please wait..."
+	dracut -f -q --regenerate-all
+	;;
+esac
diff --git a/srcpkgs/intel-ucode/REMOVE b/srcpkgs/intel-ucode/REMOVE
new file mode 100644
index 00000000000..e4d494ca015
--- /dev/null
+++ b/srcpkgs/intel-ucode/REMOVE
@@ -0,0 +1,7 @@
+# Regenerate initramfs.
+case ${ACTION} in
+purge)
+	echo "Regenerating initramfs, please wait..."
+	dracut -f -q --regenerate-all
+	;;
+esac
diff --git a/srcpkgs/intel-ucode/template b/srcpkgs/intel-ucode/template
index 0807ce9c3ce..063f8b3669c 100644
--- a/srcpkgs/intel-ucode/template
+++ b/srcpkgs/intel-ucode/template
@@ -1,7 +1,7 @@
 # Template file for 'intel-ucode'
 pkgname=intel-ucode
 version=20190514
-revision=1
+revision=2
 archs="i686* x86_64*"
 wrksrc="Intel-Linux-Processor-Microcode-Data-Files-microcode-${version}"
 short_desc="Microcode update files for Intel CPUs"
